//---------------------------------------------------------------------------

#ifndef QRcodePanelH
#define QRcodePanelH

//---------------------------------------------------------------------------

class TQRcodePanel : public Vcl::Extctrls::TPanel
{
private:
	String m_strTitle;
	int m_nQRwidth;
	unsigned char * m_pQRdata;
protected:
	virtual void __fastcall CreateWnd();
	virtual void __fastcall Paint();

	MESSAGE void __fastcall WMEraseBkgnd(Winapi::Messages::TWMEraseBkgnd &Message);

	BEGIN_MESSAGE_MAP
		MESSAGE_HANDLER(WM_ERASEBKGND, TWMEraseBkgnd, WMEraseBkgnd)
	END_MESSAGE_MAP(Vcl::Extctrls::TPanel)

public:
	__fastcall virtual TQRcodePanel( System::Classes::TComponent* AOwner, String strTitle );
	__fastcall ~TQRcodePanel();

	void __fastcall SetQRData( int width, unsigned char * pData )
					{ m_nQRwidth = width, m_pQRdata = pData; };
};

//---------------------------------------------------------------------------

#endif
